/*
 * Copyright (C) 2002-2006 Michel Santos (michel@xspace.org)
 * Licensed under the Academic Free License version 3.0
 * Please see the LICENSE.txt for more information.
 *
 * Created on October 12, 2002, 9:38 PM
 */

package org.xspace.mx;

/**
 * <p>Represents a system of units which all measurements refer to.  The system of units
 * can be different in different implementations and/or in different paradigms.</p>
 *
 * <p>For example, one system of units could be the <A HREF="http://physics.nist.gov/cuu/Units/">Systeme Internationale</a> for measuring "physical" observations.
 * Another system of units could be world currencies whose intrinsic values vary with time.</p>
 *
 * @author Michel Santos
 * @since 0.1
 */
public interface SystemOfUnits {
  
}
