/*
 * Copyright (C) 2002, 2003 Michel Santos (michel@xspace.org)
 * Licensed under the Academic Free License version 3.0
 * Please see the LICENSE.txt for more information.
 *
 * Created on October 14, 2002, 10:37 AM
 */

package org.xspace.mx.physics.mutable;

import org.xspace.mx.Measurement;

/**
 * An immutable wrapper for any other unit.
 *
 * @author Michel Santos
 * @since 0.1
 */
public class Immutable extends org.xspace.mx.physics.mutable.BaseUnit {
  
  Measurement base;
  /**
   * Creates a new instance of Immutable 
   *
   * @param protectThis The other Measurement that will be protected.
   */
  public Immutable(Measurement protectThis) {    
  //public Immutable(BaseUnit protectThis) {    
    this.base = protectThis;
  }
  
  public Measurement copy() {
    return base.copy();
  }
  
  public Measurement div(double scaling) {
    Measurement copy = base.copy();
    return copy.div(scaling);
  }
  
  public Measurement div(Measurement other) {
    Measurement copy = base.copy();
    return copy.div(other);
  }
  
  public String getAbbr() {
    return base.getAbbr();
  }
  
  public String getDescription() {
    return base.getDescription();
  }
  
  public org.xspace.mx.SystemOfUnits getSystem() {
    return base.getSystem();
  }
  
  public org.xspace.mx.Unit[] getSystemDimensions() {
    Measurement copy = base.copy();
    return copy.getSystemDimensions();
  }

  public double getSystemValue() {
    return base.getSystemValue();
  }  
  
  public double getValue(Measurement multipleOf) {    
    return base.getValue(multipleOf);
  }
  
  public Measurement minus(Measurement other) throws org.xspace.mx.MeasurementException {
    Measurement copy = base.copy();
    return copy.minus(other);
  }
  
  public Measurement mult(double scaling) {
    Measurement copy = base.copy();
    return copy.mult(scaling);
  }
  
  public Measurement mult(Measurement other) {
    Measurement copy = base.copy();
    return copy.mult(other);
  }
  
  public Measurement plus(Measurement other) throws org.xspace.mx.MeasurementException {
    Measurement copy = base.copy();
    return copy.plus(other);
  }
  
  public Measurement pow(double power) {
    Measurement copy = base.copy();
    return copy.pow(power);
  }
  
  public Measurement root(double power) {
    Measurement copy = base.copy();
    return copy.root(power);
  }
  
  public String toString() {
    return base.toString();
  }
  
}
