/*
 * Copyright (C) 2002-2006 Michel Santos (michel@xspace.org)
 * Licensed under the Academic Free License version 3.0
 * Please see the LICENSE.txt for more information.
 *
 * Created on March 30, 2003, 5:44 PM
 */

package org.xspace.mx.physics.mutable;


/**
 * An immutable wrapper for other time units.   
 *
 * @author Michel Santos
 * @since 0.5
 */
public class ImmutableTime extends Immutable implements org.xspace.mx.physics.Time {
  
  /**
   * Creates a new instance of ImmutableTime.
   * <br>
   * <b>The dimensions of the input measurement will be checked to assure that it is a time.</b>
   *   
   * @param protectThis The other Measurement that will be protected.
   */
  public ImmutableTime(org.xspace.mx.Measurement protectThis) {
    super(protectThis);
    
    // Safety-check
    /**
     * Confirm that the base unit is in fact a time unit
     * One way to check this is to get its value in terms of seconds
     * If this should fail, then an exception will be thrown
     */    
    protectThis.getValue(org.xspace.mx.physics.mutable.Units.s);
  }
  
}
